petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMMoabCreate

Creates a DMMoab object, optionally from an instance and other data

### Synopsis

    #include "petscdmmoab.h"
    PetscErrorCode DMMoabCreateMoab(MPI_Comm comm, moab::Interface *mbiface, moab::ParallelComm *pcomm, moab::Tag *ltog_tag, moab::Range *range, DM *dmb)

Collective on MPI_Comm Many br

### Input Parameter

comm -The communicator for the DMMoab object Many br
mbiface -(ptr to) the MOAB Instance; if passed in NULL, MOAB instance is created inside PETSc, and destroyed Many bralong with the DMMoab Many br
pcomm -(ptr to) a ParallelComm; if NULL, creates one internally for the whole communicator Many br
ltog_tag -A tag to use to retrieve global id for an entity; if 0, will use GLOBAL_ID_TAG_NAME/tag Many br
range -If non-NULL, contains range of entities to which DOFs will be assigned Many br

### Output Parameter

dmb -The DMMoab object Many br

Many br

### Keywords

DMMoab, create

Level:intermediate
Location:src/dm/impls/moab/dmmoab.cxx
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages